﻿@model Task_23.Models.QuizAnswerModel

@helper CheckboxList(string[] fruits)
{
    foreach (var key in Model.fruits.Keys)
    {
        <br />
        @Html.CheckBoxFor(m => m.fruits[key], new { @checked = "checked" })
        <label>@key</label>
    }
    <br />
}

@using (Html.BeginForm("Index", "SurveyPage", FormMethod.Post))
{

    <div class="editor-label">
        @Html.LabelFor(m => m.Name)
    </div>
    <div class="editor-field">
        @Html.TextBoxFor(m => m.Name)
        @Html.ValidationMessageFor(m => m.Name)
    </div>
    <div class="editor-label">
        @Html.LabelFor(m => m.Surname)
    </div>
    <div class="editor-field">
        @Html.TextBoxFor(m => m.Surname)
        @Html.ValidationMessageFor(m => m.Surname)
    </div>
    <div class="editore-field">
        <fieldset>
            <legend>Choose your favorite JS framework</legend>

            @Html.RadioButtonFor(m => m.framework, "Angular")
            <label>Angular</label><br />

            @Html.RadioButtonFor(m => m.framework, "React")
            <label>React</label><br />

            @Html.RadioButtonFor(m => m.framework, "Vue.js")
            <label>Vue.js</label>
        </fieldset>
        @Html.ValidationMessageFor(m => m.framework, "", new { @class = "error" })
    </div>
    <div class="editore-field">
        <label>Choose a Language:</label>
        @Html.DropDownListFor(m => m.language,
        new SelectList(new string[] { "C#", "C++", "Java", "Ruby", "JavaScript", "GO", "F#" }), "")
        <br />
        @Html.ValidationMessageFor(m => m.language, "", new { @class = "error" })
    </div>
    <div class="editore-field">
        <label>Choose a fruit:</label>
        @CheckboxList(new string[] { "Banana", "Apple", "Melon", "Watermelon", "Orange" })
    </div>
    <input type="submit" value="Submit" class="btn btn-primary" />
}
